Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts.maven
Interface MavenResolver

All Superinterfaces:
  org.apache.ivy.plugins.resolver.DependencyResolver, PomFilterContainer

All Known Subinterfaces:
  GroovyMavenDeployer, MavenDeployer

    public interface MavenResolver

extends org.apache.ivy.plugins.resolver.DependencyResolver, PomFilterContainer

A `DependencyResolver` which resolves dependencies from Maven repositories.

Field Summary

Fields inherited from interface org.gradle.api.artifacts.maven.PomFilterContainer
`DEFAULT_ARTIFACT_POM_NAME`

Method Summary
`void` | `beforeDeployment(Action<? super MavenDeployment> action)` Adds an action to be executed immediately before a deployment to this resolver.
`void` | `beforeDeployment(Closure action)` Adds a closure to be executed immediately before a deployment to this resolver.
`Object` | `getSettings()` Returns a maven settings object.

Methods inherited from interface org.apache.ivy.plugins.resolver.DependencyResolver
`abortPublishTransaction, beginPublishTransaction, commitPublishTransaction, download, download, dumpSettings, exists, findIvyFileRef, getDependency, getName, getNamespace, getRepositoryCacheManager, listModules, listOrganisations, listRevisions, listTokenValues, listTokenValues, locate, publish, reportFailure, reportFailure, setName, setSettings`

Methods inherited from interface org.gradle.api.artifacts.maven.PomFilterContainer
`addFilter, addFilter, filter, filter, getActivePomFilters, getFilter, getPom, pom, pom, pom, setFilter, setPom`

Method Detail

### getSettings

    Object getSettings()

  Returns a maven settings object. This can be used for example to figure out where the local repository is located. This property is filled after publishing. Before this property is null.

### beforeDeployment

    void beforeDeployment(Action<? super MavenDeployment> action)

  Adds an action to be executed immediately before a deployment to this resolver. The action is executed after all artifacts have been build, including generation of the POM. The action can modify the set of artifacts to be deployed.

  Parameters:
    `action` - The action to execute.

### beforeDeployment

    void beforeDeployment(Closure action)

  Adds a closure to be executed immediately before a deployment to this resolver. The closure is passed a `MavenDeployment` as a parameter. The closure is executed after all artifacts have been build, including generation of the POM. The closure can modify the set of artifacts to be deployed.

  Parameters:
    `action` - The closure to execute.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD